<div class="container">
    <div class="row">
        <form class="col s12" [formGroup]="checkoutForm" (ngSubmit)="submitForm(checkoutForm.value)"
            enctype="multipart/form-data">
            <div class="row">
                <div class="form-group col s12 m6">
                    <input id="name" type="text" formControlName="name" >
                    <label for="name"><i class="fas fa-user"></i> Name</label>
                </div>
                <div class="form-group col s12 m6">
                    <input id="surname" type="text" formControlName="surname">
                    <label for="surname"><i class="fas fa-user"></i> Surname</label>
                </div>

                <!-- <div class="form-group col s12 m6 l3">
                    <select multiple formControlName="genres">
                        <option value="" disabled selected>Genres</option>
                    </select>
                </div> -->
            </div>

            <div class="row">
                <div class="form-group col s12">
                    <input id="email" type="text" formControlName="email">
                    <label for="email"><i class="fas fa-envelope"></i> e-mail</label>
                </div>
            </div>
            <div class="row">
                <div class="form-group row">
                    <div class="file-field input-field">
                        <div class="btn">
                            <i class="fas fa-image"></i><span> Profile picture</span>
                            <input type="file" name="image"  (change)="selectImage($event)" >
                        </div>
                        <div class="file-path-wrapper">
                            <input class="file-path validate" type="text" placeholder="Upload profile picture" formControlName="imgUrl">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="form-group col s12 m6">
                    <input id="password" type="text" formControlName="password">
                    <label for="password"><i class="fas fa-key"></i>New password</label>
                </div>
            </div>

            <div class="row">
                <div class="form-group col s12 m6">
                    <input id="age" type="number" formControlName="age">
                    <label for="age"><i class="fas fa-user-cog"></i> Age </label>
                </div>
                <div class="form-group col s12 m6">
                    <input id="place" type="text" formControlName="place">
                    <label for="place"><i class="fas fa-user-cog"></i>Place</label>
                </div>
            </div>


            <button type="submit" class="btn waves-effect waves-light">Submit
                <i class="material-icons right">send</i>
            </button>
        </form>
    </div>
</div>